Debian Bug report logs - #576969
FTBS: C++ compiler cannot create executables

version graph

Package: libmesh; Maintainer for libmesh is (unknown);

Reported by: Francesco Paolo Lovergine <frankie@debian.org>

Date: Thu, 8 Apr 2010 16:21:14 UTC

Severity: serious

Tags: sid, squeeze, wheezy

Fixed in version libmesh/0.7.1-1

Done: Sylvestre Ledru <sylvestre@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>:
Bug#576969; Package libmesh. (Thu, 08 Apr 2010 16:21:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Paolo Lovergine <frankie@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>. (Thu, 08 Apr 2010 16:21:17 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Francesco Paolo Lovergine <frankie@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBS: C++ compiler cannot create executables
Date: Thu, 08 Apr 2010 18:20:45 +0200
Package: libmesh
Severity: serious

libmesh should build-depend on mpi-default-dev.

cd libmesh && autoconf
configure.in:584: warning: AC_REQUIRE: `AC_PROG_F77' was expanded before it was required
../../lib/autoconf/fortran.m4:255: AC_LANG_COMPILER(Fortran 77) is expanded from...
../../lib/autoconf/lang.m4:316: AC_LANG_COMPILER_REQUIRE is expanded from...
../../lib/autoconf/general.m4:2573: AC_COMPILE_IFELSE is expanded from...
../../lib/m4sugar/m4sh.m4:598: AS_IF is expanded from...
../../lib/autoconf/general.m4:1998: AC_CACHE_VAL is expanded from...
../../lib/autoconf/general.m4:2019: AC_CACHE_CHECK is expanded from...
../../lib/autoconf/fortran.m4:558: _AC_PROG_FC_V is expanded from...
../../lib/autoconf/fortran.m4:611: _AC_FC_LIBRARY_LDFLAGS is expanded from...
../../lib/autoconf/fortran.m4:699: AC_F77_LIBRARY_LDFLAGS is expanded from...
aclocal.m4:843: CONFIGURE_PETSC is expanded from...
configure.in:584: the top level
cd libmesh && PETSC_DIR=/usr/lib/petsc PETSC_ARCH=linux-gnu-c-opt \
          SLEPC_DIR=/usr/lib/slepc \
          LDFLAGS=-Wl,-soname,libmesh.so.0.6.4,-lpetsc,-lpetscdm,-lpetscksp,-lpetscmat,-lpetscsnes,-lpetscvec,-lscotchmetis,-lblas-3gf,-ltbb,-ltbbmalloc,-lvtkIO,-lvtkCommon,-lvtkFiltering \
          ./configure --prefix=/usr \
           --host=i486-linux-gnu --build=i486-linux-gnu \
           --mandir=\${prefix}/share/man --infodir=\${prefix}/share/info \
           --disable-laspack --disable-sfc --disable-gzstreams --disable-gmv \
           --disable-tecplot --disable-parmetis --disable-tetgen \
           --disable-triangle --disable-exodus --disable-libHilbert \
           --with-mpi=/usr --with-cxx=mpicxx --with-cc=mpicc --with-f77=mpif77\
           --enable-second --enable-ifem --enable-metis --enable-perflog \
           --enable-vtk --with-vtk-include=/usr/include/vtk-5.2 --with-tbb=/usr
---------------------------------------------
----------- Configuring libMesh -------------
---------------------------------------------
checking build system type... i486-pc-linux-gnu
checking host system type... i486-pc-linux-gnu
checking target system type... i486-pc-linux-gnu
checking whether the C++ compiler works... no
configure: error: in `/home/frankie/debian/debian-gis/NMUs/libmesh/libmesh-0.6.4.dfsg/libmesh':
configure: error: C++ compiler cannot create executables
See `config.log' for more details.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-3-686 (SMP w/1 CPU core)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Fri, 09 Apr 2010 08:48:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>:
Bug#576969; Package libmesh. (Tue, 16 Nov 2010 20:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to fabrice <coutadeurf@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>. (Tue, 16 Nov 2010 20:09:02 GMT) Full text and rfc822 format available.

Message #12 received at 576969@bugs.debian.org (full text, mbox):

From: fabrice <coutadeurf@gmail.com>
To: 576969@bugs.debian.org
Subject: Changing -lblas-3gf to -lblas in the LDFLAG variable fix the error
Date: Tue, 16 Nov 2010 20:07:30 +0100
Hi,

We had the same error in Ubuntu, and it has been fixed by updating
-lblas-3gf to -lblas in the LDFLAGS variable in debian/rules: liblas-dev
contains liblas-so and not liblas-3gf.so.

Thanks,
Fabrice





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>:
Bug#576969; Package libmesh. (Tue, 16 Nov 2010 20:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to fabrice <coutadeurf@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>. (Tue, 16 Nov 2010 20:09:04 GMT) Full text and rfc822 format available.

Message #17 received at 576969@bugs.debian.org (full text, mbox):

From: fabrice <coutadeurf@gmail.com>
To: 576969@bugs.debian.org
Subject: Changing -lblas-3gf to -lblas in the LDFLAG variable fix the error
Date: Tue, 16 Nov 2010 21:06:14 +0100
Hi,

We had the same error in Ubuntu, and it has been fixed by updating
-lblas-3gf to -lblas in the LDFLAGS variable in debian/rules: liblas-dev
contains liblas-so and not liblas-3gf.so.

Thanks,
Fabrice






Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:58 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 03 Aug 2011 08:09:06 GMT) Full text and rfc822 format available.

Reply sent to Sylvestre Ledru <sylvestre@debian.org>:
You have taken responsibility. (Thu, 04 Aug 2011 12:54:03 GMT) Full text and rfc822 format available.

Notification sent to Francesco Paolo Lovergine <frankie@debian.org>:
Bug acknowledged by developer. (Thu, 04 Aug 2011 12:54:06 GMT) Full text and rfc822 format available.

Message #26 received at 576969-close@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: 576969-close@bugs.debian.org
Subject: Bug#576969: fixed in libmesh 0.7.1-1
Date: Thu, 04 Aug 2011 12:51:26 +0000
Source: libmesh
Source-Version: 0.7.1-1

We believe that the bug you reported is fixed in the latest version of
libmesh, which is due to be installed in the Debian FTP archive:

libmesh-dev_0.7.1-1_all.deb
  to main/libm/libmesh/libmesh-dev_0.7.1-1_all.deb
libmesh-doc_0.7.1-1_all.deb
  to main/libm/libmesh/libmesh-doc_0.7.1-1_all.deb
libmesh0.7.1_0.7.1-1_amd64.deb
  to main/libm/libmesh/libmesh0.7.1_0.7.1-1_amd64.deb
libmesh_0.7.1-1.debian.tar.gz
  to main/libm/libmesh/libmesh_0.7.1-1.debian.tar.gz
libmesh_0.7.1-1.dsc
  to main/libm/libmesh/libmesh_0.7.1-1.dsc
libmesh_0.7.1.orig.tar.gz
  to main/libm/libmesh/libmesh_0.7.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 576969@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sylvestre Ledru <sylvestre@debian.org> (supplier of updated libmesh package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 02 Aug 2011 14:46:47 +0200
Source: libmesh
Binary: libmesh-dev libmesh0.7.1 libmesh-doc
Architecture: source all amd64
Version: 0.7.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Sylvestre Ledru <sylvestre@debian.org>
Description: 
 libmesh-dev - libMesh - A C++ Finite Element Library
 libmesh-doc - libMesh - A C++ Finite Element Library
 libmesh0.7.1 - libMesh - A C++ Finite Element Library
Closes: 576969 577584 616258 618233
Changes: 
 libmesh (0.7.1-1) unstable; urgency=low
 .
   * Team upload
   * New upstream release
     - Use a more recent version of vtk (Closes: #577584)
   * Update the dependency on libpetsc (Closes: #618233)
   * doxygen-latex replaces doxygen and texlive-* dep (Closes: #616258)
   * Standards-Version updated to version 3.9.2
   * Package moved to Debian Science
   * mpi-default-dev added a build dep (Closes: #576969)
   * Switch to dpkg-source 3.0 (quilt) format
   * old-fsf-address-in-copyright-file fixed
   * debhelper-but-no-misc-depends fixed
   * debian-rules-missing-recommended-target fixed
Checksums-Sha1: 
 e3338e00bff96be3cd4ce0ba10f3eb769891728f 1518 libmesh_0.7.1-1.dsc
 1561c9eb10726959918a05fa96e5260c6f48ca7c 5725861 libmesh_0.7.1.orig.tar.gz
 469009b67b3d232d2aa60467a1b2010e1734cf7d 13059 libmesh_0.7.1-1.debian.tar.gz
 23ee6e5beabe949fa75a75fb1aa4df7c80b7429d 400054 libmesh-dev_0.7.1-1_all.deb
 e12d8e8fc326d34ea7dc150537bb9a5dce234b46 55929402 libmesh-doc_0.7.1-1_all.deb
 b7ecea4a4e58aa20dcaaf83b186fdd41ecbb4ddb 3119706 libmesh0.7.1_0.7.1-1_amd64.deb
Checksums-Sha256: 
 883a3463a7a2f2d2326ad7b253d7572fb1fc359f6eab196cef324b856f074211 1518 libmesh_0.7.1-1.dsc
 e6afe37f1c456f283dbb86653e3e7a4f788c64bdb018a1590930ca4f3bd6bf3d 5725861 libmesh_0.7.1.orig.tar.gz
 3df32dfc487bc0b215189e82bf9d667ab79dd5a5d8d51bed5dc4bce28c7ff3e6 13059 libmesh_0.7.1-1.debian.tar.gz
 1be19001cf4f8b05c8e87ed6f7b7f3ea457b6d961927f734ac17cc887ae84b5a 400054 libmesh-dev_0.7.1-1_all.deb
 54178ddc58994e530fb169488eef98cb0005a7479fe8faa6c92b06397ff37bba 55929402 libmesh-doc_0.7.1-1_all.deb
 39db92af74575db2016edbcd461e72367f3720b1f8d8338bf2bfd63041ef6731 3119706 libmesh0.7.1_0.7.1-1_amd64.deb
Files: 
 f20000aa1a344df25b3181a2df8ccc34 1518 libs extra libmesh_0.7.1-1.dsc
 11fa4ef47d58387baf3609e095063323 5725861 libs extra libmesh_0.7.1.orig.tar.gz
 8030546d5c6de8fd8dd4114b65897429 13059 libs extra libmesh_0.7.1-1.debian.tar.gz
 6e75191e4db07715132dcf607ea0083e 400054 libdevel extra libmesh-dev_0.7.1-1_all.deb
 19fd7aaf1a460a3b3ab98898589de38c 55929402 doc extra libmesh-doc_0.7.1-1_all.deb
 b4558dc6116849fe24f82d323ca63335 3119706 libs extra libmesh0.7.1_0.7.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk44gWwACgkQiOXXM92JlhCshQCeKyOwnDvzrDm39DbhJs/SJMP7
hf8AoJWM3cx3+v6lCqtgiwbgaM91Qj3u
=d6WL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 09 Sep 2011 07:33:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:12:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.